Package ru.bitel.bgbilling.modules.mangooffice.common.bean

# Class MangoFee

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mangooffice.common.bean.MangoFee

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MangoFee
    extends Id

Списания Mango. Грузятся с ftp Mango.
Все поля, кроме day, относятся к базе Mango.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MangoFee()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getControl()` |
  `java.util.Date` | `getDate()` |
  `int` | `getDay()` |
  `int` | `getProductId()` |
  `int` | `getServiceId()` |
  `java.math.BigDecimal` | `getSum()` |
  `void` | `setControl​(java.lang.String control)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setDay​(int day)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setServiceId​(int serviceId)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MangoFee

    public MangoFee()

- ## Method Details

  - ### getControl

    public java.lang.String getControl()

  - ### setControl

    public void setControl​(java.lang.String control)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId​(int productId)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId​(int serviceId)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay​(int day)